Package org.drinkless.tdlib

# Class TdApi.UpgradedGiftOriginalDetails

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.UpgradedGiftOriginalDetails

Enclosing class:
  `TdApi`

public static class TdApi.UpgradedGiftOriginalDetails extends TdApi.Object
Describes the original details about the gift.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `date`
  Point in time (Unix timestamp) when the gift was sent.
  `TdApi.MessageSender`
  `receiverId`
  Identifier of the user or the chat that received the gift.
  `TdApi.MessageSender`
  `senderId`
  Identifier of the user or the chat that sent the gift; may be null if the gift was private.
  `TdApi.FormattedText`
  `text`
  Message added to the gift.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpgradedGiftOriginalDetails()`
  Describes the original details about the gift.
  `UpgradedGiftOriginalDetails(TdApi.MessageSender senderId, TdApi.MessageSender receiverId, TdApi.FormattedText text, int date)`
  Describes the original details about the gift.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### senderId

    @Nullable public TdApi.MessageSender senderId
    Identifier of the user or the chat that sent the gift; may be null if the gift was private.

  - ### receiverId

    public TdApi.MessageSender receiverId
    Identifier of the user or the chat that received the gift.

  - ### text

    public TdApi.FormattedText text
    Message added to the gift.

  - ### date

    public int date
    Point in time (Unix timestamp) when the gift was sent.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpgradedGiftOriginalDetails

    public UpgradedGiftOriginalDetails()
    Describes the original details about the gift.

  - ### UpgradedGiftOriginalDetails

    public UpgradedGiftOriginalDetails(TdApi.MessageSender senderId, TdApi.MessageSender receiverId, TdApi.FormattedText text, int date)
    Describes the original details about the gift.
    Parameters:
      `senderId` - Identifier of the user or the chat that sent the gift; may be null if the gift was private.
      `receiverId` - Identifier of the user or the chat that received the gift.
      `text` - Message added to the gift.
      `date` - Point in time (Unix timestamp) when the gift was sent.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR